Package oracle.nosql.driver.ops

## Class SystemStatusRequest

- java.lang.Object
- - oracle.nosql.driver.ops.Request
  - - oracle.nosql.driver.ops.SystemStatusRequest

-     public class SystemStatusRequest
      extends Request

  On-premise only.

  SystemStatusRequest is an on-premise-only request used to check the status of an operation started using a `SystemRequest`.

  See Also:
    `NoSQLHandle.systemRequest(oracle.nosql.driver.ops.SystemRequest)`, `NoSQLHandle.systemStatus(oracle.nosql.driver.ops.SystemStatusRequest)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SystemStatusRequest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getOperationId()` | Returns the operation id to use for the request, null if not set.
    `String` | `getStatement()` | Returns the statement, or null if not set
    `String` | `getTypeName()` | Returns the type name of the request.
    `SystemStatusRequest` | `setDefaults​(NoSQLHandleConfig config)` |
    `SystemStatusRequest` | `setOperationId​(String operationId)` | Sets the operation id to use for the request.
    `SystemStatusRequest` | `setStatement​(String statement)` | Sets the statement that was used for the operation.
    `SystemStatusRequest` | `setTimeout​(int timeoutMs)` | Sets the request timeout value, in milliseconds.
    `String` | `toString()` |
    `void` | `validate()` |

    - ### Methods inherited from class oracle.nosql.driver.ops.Request

      `getCompartment, getRateLimitDelayedMs, getReadRateLimiter, getRetryStats, getTableName, getWriteRateLimiter, setRateLimitDelayedMs, setReadRateLimiter, setWriteRateLimiter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemStatusRequest

          public SystemStatusRequest()

  - ### Method Detail

    - #### getStatement

          public String getStatement()

      Returns the statement, or null if not set
      Returns:
        the statement

    - #### setStatement

          public SystemStatusRequest setStatement​(String statement)

      Sets the statement that was used for the operation. This is optional and is not used in any significant way. It is returned, unmodified, in the `SystemResult` for convenience.
      Parameters:
        `statement` - the statement
      Returns:
        this

    - #### setOperationId

          public SystemStatusRequest setOperationId​(String operationId)

      Sets the operation id to use for the request. The operation id can be obtained via `SystemResult.getOperationId()`. This parameter is not optional and represents an asynchronous operation that may be in progress. It is used to examine the result of the operation and if the operation has failed an exception will be thrown in response to a `NoSQLHandle.systemStatus(oracle.nosql.driver.ops.SystemStatusRequest)` operation. If the operation is in progress or has completed successfully, the state of the operation is returned.
      Parameters:
        `operationId` - the operationId.
      Returns:
        this

    - #### getOperationId

          public String getOperationId()

      Returns the operation id to use for the request, null if not set.
      Returns:
        the operation id

    - #### setTimeout

          public SystemStatusRequest setTimeout​(int timeoutMs)

      Sets the request timeout value, in milliseconds. This overrides any default value set in `NoSQLHandleConfig`. The value must be positive.
      Parameters:
        `timeoutMs` - the timeout value, in milliseconds
      Returns:
        this
      Throws:
        `IllegalArgumentException` - if the timeout value is less than or equal to 0

    - #### setDefaults

          public SystemStatusRequest setDefaults​(NoSQLHandleConfig config)

    - #### validate

          public void validate()

    - #### getTypeName

          public String getTypeName()

      Description copied from class: `Request`
      Returns the type name of the request. This is used for stats.
      Specified by:
        `getTypeName` in class `Request`
      Returns:
        the type name of the request

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`